summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Marcel Saegebarth <marc@mos6581.de>2014-11-27 08:03:09 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-11-27 08:03:09 +0700
commit0be2296c606d0fcfeee557615c337a66e1b93a02 (patch)
tree0b07527fc6ffebc576ddb571831a53f2fb505cc5 /libraries
parentf2485c32411b5b057000000bcfcc3e8a66e11254 (diff)
downloadslackbuilds-0be2296c606d0fcfeee557615c337a66e1b93a02.tar.gz
slackbuilds-0be2296c606d0fcfeee557615c337a66e1b93a02.tar.xz
libraries/libsidplayfp: Added (SID Emulation).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libsidplayfp/README4
-rw-r--r--libraries/libsidplayfp/libsidplayfp.SlackBuild105
-rw-r--r--libraries/libsidplayfp/libsidplayfp.info10
-rw-r--r--libraries/libsidplayfp/slack-desc19
4 files changed, 138 insertions, 0 deletions
diff --git a/libraries/libsidplayfp/README b/libraries/libsidplayfp/README
new file mode 100644
index 0000000000..170e2ad3ac
--- /dev/null
+++ b/libraries/libsidplayfp/README
@@ -0,0 +1,4 @@
+Libsidplayfp (and its console frontend sidplayfp) is a fork of
+sidplay2 born with the aim to improve the quality of emulating the
+6581, 8580 chips and the surrounding C64 system in order to play
+SID music better.
diff --git a/libraries/libsidplayfp/libsidplayfp.SlackBuild b/libraries/libsidplayfp/libsidplayfp.SlackBuild
new file mode 100644
index 0000000000..f9ac871770
--- /dev/null
+++ b/libraries/libsidplayfp/libsidplayfp.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# SlackBuild script for "libsidplayfp".
+
+# Copyright 2014 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libsidplayfp
+VERSION=${VERSION:-1.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+( cd $TMP/$PRGNAM-$VERSION/builders/residfp-builder/residfp
+ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/builders/residfp-builder/residfp
+ cp -a AUTHORS COPYING README $PKG/usr/doc/$PRGNAM-$VERSION/builders/residfp-builder/residfp
+ cd $TMP/$PRGNAM-$VERSION/builders/resid-builder/resid
+ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/builders/resid-builder/resid
+ cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README README.VICE THANKS \
+ TODO $PKG/usr/doc/$PRGNAM-$VERSION/builders/resid-builder/resid
+)
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libsidplayfp/libsidplayfp.info b/libraries/libsidplayfp/libsidplayfp.info
new file mode 100644
index 0000000000..85f3cd56d0
--- /dev/null
+++ b/libraries/libsidplayfp/libsidplayfp.info
@@ -0,0 +1,10 @@
+PRGNAM="libsidplayfp"
+VERSION="1.6.0"
+HOMEPAGE="http://bel.fi/~alankila/c64-sw/index-cpp.html"
+DOWNLOAD="http://downloads.sourceforge.net/project/sidplay-residfp/libsidplayfp/1.6/libsidplayfp-1.6.0.tar.gz"
+MD5SUM="331f1d9ec21262c150f043c8da0d0eea"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="xa"
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/libraries/libsidplayfp/slack-desc b/libraries/libsidplayfp/slack-desc
new file mode 100644
index 0000000000..daca4a094b
--- /dev/null
+++ b/libraries/libsidplayfp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libsidplayfp: libsidplayfp (SID emulation)
+libsidplayfp:
+libsidplayfp: Libsidplayfp (and its console frontend sidplayfp) is a fork of
+libsidplayfp: sidplay2 born with the aim to improve the quality of emulating the
+libsidplayfp: 6581, 8580 chips and the surrounding C64 system in order to play
+libsidplayfp: SID music better.
+libsidplayfp:
+libsidplayfp: Homepage: http://bel.fi/~alankila/c64-sw/index-cpp.html
+libsidplayfp:
+libsidplayfp:
+libsidplayfp: